=== debian/control ===
# Licensed to the Apache Software Foundation (ASF) under one or more
# contributor license agreements.  See the NOTICE file distributed with
# this work for additional information regarding copyright ownership.
# The ASF licenses this file to You under the Apache License, Version 2.0
# (the "License"); you may not use this file except in compliance with
# the License.  You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

Source: kafka
Section: misc
Priority: extra
Maintainer: Cloudera Inc. <https://issues.cloudera.org>
Build-Depends: debhelper (>= 7.0.50~)
Standards-Version: 3.8.0
Homepage: https://www.cloudera.com

Package: kafka
Architecture: all
Depends: bigtop-utils (>= 0.7)
Description: Apache Kafka is publish-subscribe messaging rethought as a distributed commit log.
 A single Kafka broker can handle hundreds of megabytes of reads and writes per second from thousands of clients. It can be elastically and transparently expanded without downtime. Data streams are partitioned and spread over a cluster of machines to allow data streams larger than the capability of any single machine and to allow clusters of co-ordinated consumers

Package: kafka-server
Architecture: all
Depends: kafka
Description: Bundles the init script for kafka server.
 This package starts the kafka server on startup

Package: kafka-mirror-maker
Architecture: all
Depends: kafka
Description: Bundles the init script for kafka mirror maker.
 This package starts the kafka mirror maker server on startup
