=== debian/rules ===
#!/usr/bin/make -f
export COMPONENT_HASH=dd54d499396fbed8f4e508a408862900f0eefbe8
 KAFKA_VERSION=2.2.1+cdh6.3.2
 KAFKA_PATCHED_VERSION=2.2.1-cdh6.3.2
 KAFKA_BASE_VERSION=2.2.1
 KAFKA_RELEASE=1605554
 CDH_CUSTOMER_PATCH=p0
 CDH_PARCEL_CUSTOM_VERSION=2.2.1+cdh6.3.2-1605554.bionic
#
# Licensed to the Apache Software Foundation (ASF) under one or more
# contributor license agreements.  See the NOTICE file distributed with
# this work for additional information regarding copyright ownership.
# The ASF licenses this file to You under the Apache License, Version 2.0
# (the "License"); you may not use this file except in compliance with
# the License.  You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS

%:
	dh $@

override_dh_auto_build:
	env FULL_VERSION=${KAFKA_PATCHED_VERSION} bash debian/do-component-build

override_dh_auto_install:
	env FULL_VERSION=${KAFKA_PATCHED_VERSION} bash -x debian/install_kafka.sh \
	  --build-dir=./ \
	  --source-dir=debian \
	  --prefix=debian/kafka
	mkdir -p debian/kafka-server/etc/init.d/
	mkdir -p debian/kafka-mirror-maker/etc/init.d/
	bash debian/init.d.tmpl debian/kafka-server.svc deb debian/kafka-server/etc/init.d/kafka-server
	bash debian/init.d.tmpl debian/kafka-mirror-maker.svc deb debian/kafka-mirror-maker/etc/init.d/kafka-mirror-maker

override_dh_builddeb:
	dh_builddeb -- -Zgzip

override_dh_strip_nondeterminism:
	# Disable dh_strip_nondeterminism to speed up the build

override_dh_strip:
	dh_strip --no-automatic-dbgsym
